Script installation not working

Status
Not open for further replies.

merabix1

New Member
Messages
9
Reaction score
0
Points
1
Hello, installer index.php not working, error: Warning: Creating default object from empty value in /home/forumix2/public_html/install/index.php on line 1422

please help me
 

Attachments

  • index.zip
    10.1 KB · Views: 6

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
Looks like you're trying to manually install 'INVISION POWER BOARD INSTALLER v2.0'

Have you manually created a data base yet?

Why not do the install automatically from cPanel?

Auto installer will create a data base and all the important things that seem to be missing so far.

edit: seems INVISION isn't available in cPanel
 

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
I'm not an admin, nor have I used that board before, so I'm not going to edit that file.

Have you installed a data base yet?

Without the data base info ... data base name, user, password (DON'T REVEAL THAT HERE), no one will be able to do anything.
 
Last edited:

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
The next step won't create a data base (that has to be done in cPanel)
but it would ask for an already created data base and it's details.

Cart before the horse.

I'd create a data base (in cPanel) first.
Do you know how to do that?
 

merabix1

New Member
Messages
9
Reaction score
0
Points
1
I do not know how to do it, can you help me?
please give me table.sql file and conf_global.php ready
 

Attachments

  • mysql_files.zip
    20.4 KB · Views: 1
  • configuration_file.zip
    176 bytes · Views: 0

merabix1

New Member
Messages
9
Reaction score
0
Points
1
Invision Power Board 2.0.0

**Link Nuked by Livewire**
 
Last edited by a moderator:

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
"I do not know how to do it, can you help me?"
Sorry, that's a full web master course. I'm here to help with issues related to the web host, not third party apps not offered (for some reason) in the web hosts cPanel installer.

Does it have to be INVISION POWER BOARD?
Their help forum is https://invisioncommunity.com/forums/

If I was as a novice, I'd chose an auto installed forum (I use SMF) board from cPanel.
 

merabix1

New Member
Messages
9
Reaction score
0
Points
1
I have georgian language pack for INVISION POWER BOARD, georgian language for SMF i do not have
 

merabix1

New Member
Messages
9
Reaction score
0
Points
1
Need
Warning: Creating default object from empty value in /home/forumix2/public_html/install/index.php on line 1422
correct error in install index.php
 

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
Before we go any further, please ensure that all the files have been uploaded, and that the file 'conf_global.php' has suitable permissions to allow this script to write to it ( 0666 should be sufficient ).

IPB 2.0.0 requires PHP 4.1.0 or better and an SQL database.

You will also need the following information that your webhost can provide:
  • Your SQL database name
  • Your SQL username
  • Your SQL password
  • Your SQL host address (usually localhost)
http://ფორუმი.გე/install/index.php

What version of PHP are you running?
As you can see, that page wants a SQL database BEFORE the install.
You have to first do that manually in cPanel.
 

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
update: PHP version should be OK, as the lowest here as 5.4

You have no database. You won't get off page 2 until you have the details for one.

I'd do it for you but my Australian IP won't work on your account.

Here's a database how to video
 
Last edited:

Livewire

Abuse Compliance Officer
Staff member
Messages
18,168
Reaction score
215
Points
63
Just a quick FYI on this, Invision Power Board frowns on users redistributing the core installers without their express written permission. I have erased your download link for IPB2.0.0 as a result; next time we would be forced to take stronger measures.

I'm unfamiliar with installing IPB unfortunately so I can't do much else there to help, but I can confirm your account is currently set to utilize PHP 5.5.


Edit: Also worth noting that IPB 2.0.0 is 2 major revisions and a ton of minor revisions out of date; there's a good chance the error in question is being caused by PHP having made changes to how it operates since it is several versions (including 1 major) higher than it requires; if you're unable to resolve the error you may need to contact IPB for their help in repairing the error, assuming they still support that version.

Edit 2: After digging in further, IPB 2.0.0 is 14 years old, so getting help from IPB is probably out of the picture.
 
Last edited:

rmsx10ho

Member
Messages
159
Reaction score
13
Points
18
Took a while googling each forum app listed in the X10 cPanel auto install section..that has Georgian support.

merabix1, miniBB supports your language .. and it can be auto installed from X10's cPanel (creates the database for you)

Maybe less headache?

http://www.minibb.com/download.html#language
 
Last edited:

Livewire

Abuse Compliance Officer
Staff member
Messages
18,168
Reaction score
215
Points
63
Howdy,

He'd never got that far as Page 2 http://xn--todffmpd.xn--node/install/index.php?a=1 won't proceed until database details (which he doesn't have) are entered. :)

I'm googling other auto install forums offered from the X10 cPanel that will run with Georgian language packs. ;)

I blame it on the Warning, I saw that and assumed it was an error generated because of a function change :) He's definitely gunna be better off with a different forum though; with it being 14 years old and no current support provided, it's pretty much guaranteed to be hackable/exploitable and will likely run into numerous errors due to differences in PHP 4 vs 5.5.
 
Status
Not open for further replies.
Top